# Makefile.in generated by automake 1.18.1 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2025 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

#
# src/Makefile.am for qalculate
#


VPATH = @srcdir@
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
am__rm_f = rm -f $(am__rm_f_notfound)
am__rm_rf = rm -rf $(am__rm_f_notfound)
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
@PLATFORM_MACOS_TRUE@am__append_1 = $(GTK_MAC_CFLAGS)
@ENABLE_SEARCH_PROVIDER_TRUE@searchprovider_PROGRAMS = qalculate-search-provider$(EXEEXT)
EXTRA_PROGRAMS = qalculate-gtk$(EXEEXT)
@PLATFORM_MACOS_TRUE@am__append_2 = $(GTK_MAC_LIBS)
subdir = src
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/build-to-host.m4 \
	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/host-cpu-c-abi.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" \
	"$(DESTDIR)$(searchproviderdir)" "$(DESTDIR)$(dbusservicedir)"
PROGRAMS = $(bin_PROGRAMS) $(searchprovider_PROGRAMS)
am_qalculate_gtk_OBJECTS = exchangerates.$(OBJEXT) \
	matrixdialog.$(OBJEXT) nameseditdialog.$(OBJEXT) \
	dataseteditdialog.$(OBJEXT) functioneditdialog.$(OBJEXT) \
	uniteditdialog.$(OBJEXT) matrixeditdialog.$(OBJEXT) \
	unknowneditdialog.$(OBJEXT) variableeditdialog.$(OBJEXT) \
	exportcsvdialog.$(OBJEXT) importcsvdialog.$(OBJEXT) \
	setbasedialog.$(OBJEXT) buttonseditdialog.$(OBJEXT) \
	shortcutsdialog.$(OBJEXT) decimalsdialog.$(OBJEXT) \
	precisiondialog.$(OBJEXT) datasetsdialog.$(OBJEXT) \
	functionsdialog.$(OBJEXT) unitsdialog.$(OBJEXT) \
	variablesdialog.$(OBJEXT) plotdialog.$(OBJEXT) \
	periodictabledialog.$(OBJEXT) numberbasesdialog.$(OBJEXT) \
	percentagecalculationdialog.$(OBJEXT) \
	calendarconversiondialog.$(OBJEXT) \
	floatingpointdialog.$(OBJEXT) insertfunctiondialog.$(OBJEXT) \
	preferencesdialog.$(OBJEXT) conversionview.$(OBJEXT) \
	historyview.$(OBJEXT) stackview.$(OBJEXT) keypad.$(OBJEXT) \
	expressionedit.$(OBJEXT) expressionstatus.$(OBJEXT) \
	expressioncompletion.$(OBJEXT) drawstructure.$(OBJEXT) \
	resultview.$(OBJEXT) openhelp.$(OBJEXT) menubar.$(OBJEXT) \
	main.$(OBJEXT) mainwindow.$(OBJEXT) modes.$(OBJEXT) \
	util.$(OBJEXT)
nodist_qalculate_gtk_OBJECTS = ui.$(OBJEXT) flags.$(OBJEXT)
qalculate_gtk_OBJECTS = $(am_qalculate_gtk_OBJECTS) \
	$(nodist_qalculate_gtk_OBJECTS)
am__DEPENDENCIES_1 =
@PLATFORM_MACOS_TRUE@am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1)
qalculate_gtk_DEPENDENCIES = $(am__DEPENDENCIES_2)
AM_V_lt = $(am__v_lt_@AM_V@)
am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
am__v_lt_0 = --silent
am__v_lt_1 = 
qalculate_gtk_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(qalculate_gtk_LDFLAGS) $(LDFLAGS) \
	-o $@
am__qalculate_search_provider_SOURCES_DIST = searchprovider.cc \
	support.h
@ENABLE_SEARCH_PROVIDER_TRUE@am_qalculate_search_provider_OBJECTS =  \
@ENABLE_SEARCH_PROVIDER_TRUE@	searchprovider.$(OBJEXT)
@ENABLE_SEARCH_PROVIDER_TRUE@nodist_qalculate_search_provider_OBJECTS =  \
@ENABLE_SEARCH_PROVIDER_TRUE@	gnome-search-provider2.$(OBJEXT)
qalculate_search_provider_OBJECTS =  \
	$(am_qalculate_search_provider_OBJECTS) \
	$(nodist_qalculate_search_provider_OBJECTS)
qalculate_search_provider_DEPENDENCIES =
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/buttonseditdialog.Po \
	./$(DEPDIR)/calendarconversiondialog.Po \
	./$(DEPDIR)/conversionview.Po ./$(DEPDIR)/dataseteditdialog.Po \
	./$(DEPDIR)/datasetsdialog.Po ./$(DEPDIR)/decimalsdialog.Po \
	./$(DEPDIR)/drawstructure.Po ./$(DEPDIR)/exchangerates.Po \
	./$(DEPDIR)/exportcsvdialog.Po \
	./$(DEPDIR)/expressioncompletion.Po \
	./$(DEPDIR)/expressionedit.Po ./$(DEPDIR)/expressionstatus.Po \
	./$(DEPDIR)/flags.Po ./$(DEPDIR)/floatingpointdialog.Po \
	./$(DEPDIR)/functioneditdialog.Po \
	./$(DEPDIR)/functionsdialog.Po \
	./$(DEPDIR)/gnome-search-provider2.Po \
	./$(DEPDIR)/historyview.Po ./$(DEPDIR)/importcsvdialog.Po \
	./$(DEPDIR)/insertfunctiondialog.Po ./$(DEPDIR)/keypad.Po \
	./$(DEPDIR)/main.Po ./$(DEPDIR)/mainwindow.Po \
	./$(DEPDIR)/matrixdialog.Po ./$(DEPDIR)/matrixeditdialog.Po \
	./$(DEPDIR)/menubar.Po ./$(DEPDIR)/modes.Po \
	./$(DEPDIR)/nameseditdialog.Po \
	./$(DEPDIR)/numberbasesdialog.Po ./$(DEPDIR)/openhelp.Po \
	./$(DEPDIR)/percentagecalculationdialog.Po \
	./$(DEPDIR)/periodictabledialog.Po ./$(DEPDIR)/plotdialog.Po \
	./$(DEPDIR)/precisiondialog.Po \
	./$(DEPDIR)/preferencesdialog.Po ./$(DEPDIR)/resultview.Po \
	./$(DEPDIR)/searchprovider.Po ./$(DEPDIR)/setbasedialog.Po \
	./$(DEPDIR)/shortcutsdialog.Po ./$(DEPDIR)/stackview.Po \
	./$(DEPDIR)/ui.Po ./$(DEPDIR)/uniteditdialog.Po \
	./$(DEPDIR)/unitsdialog.Po ./$(DEPDIR)/unknowneditdialog.Po \
	./$(DEPDIR)/util.Po ./$(DEPDIR)/variableeditdialog.Po \
	./$(DEPDIR)/variablesdialog.Po
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_@AM_V@)
am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_@AM_V@)
am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_@AM_V@)
am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
am__v_CXX_0 = @echo "  CXX     " $@;
am__v_CXX_1 = 
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
am__v_CXXLD_0 = @echo "  CXXLD   " $@;
am__v_CXXLD_1 = 
SOURCES = $(qalculate_gtk_SOURCES) $(nodist_qalculate_gtk_SOURCES) \
	$(qalculate_search_provider_SOURCES) \
	$(nodist_qalculate_search_provider_SOURCES)
DIST_SOURCES = $(qalculate_gtk_SOURCES) \
	$(am__qalculate_search_provider_SOURCES_DIST)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
       $(am__cd) "$$dir" && echo $$files | $(am__xargs_n) 40 $(am__rm_f); }; \
  }
DATA = $(dbusservice_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPPFLAGS = @CPPFLAGS@
CSCOPE = @CSCOPE@
CTAGS = @CTAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DESIRED_LINGUAS = @DESIRED_LINGUAS@
DLLTOOL = @DLLTOOL@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
ETAGS = @ETAGS@
EXEEXT = @EXEEXT@
FGREP = @FGREP@
FILECMD = @FILECMD@
GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
GIOUNIX_CFLAGS = @GIOUNIX_CFLAGS@
GIOUNIX_LIBS = @GIOUNIX_LIBS@
GLIB_CFLAGS = @GLIB_CFLAGS@
GLIB_LIBS = @GLIB_LIBS@
GMSGFMT = @GMSGFMT@
GMSGFMT_015 = @GMSGFMT_015@
GREP = @GREP@
GTK_CFLAGS = @GTK_CFLAGS@
GTK_LIBS = @GTK_LIBS@
GTK_MAC_CFLAGS = @GTK_MAC_CFLAGS@
GTK_MAC_LIBS = @GTK_MAC_LIBS@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INTLLIBS = @INTLLIBS@
INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
LD = @LD@
LDFLAGS = @LDFLAGS@
LIBICONV = @LIBICONV@
LIBINTL = @LIBINTL@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBICONV = @LTLIBICONV@
LTLIBINTL = @LTLIBINTL@
LTLIBOBJS = @LTLIBOBJS@
LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MKDIR_P = @MKDIR_P@
MSGFMT = @MSGFMT@
MSGMERGE = @MSGMERGE@
MSGMERGE_FOR_MSGFMT_OPTION = @MSGMERGE_FOR_MSGFMT_OPTION@
NM = @NM@
NMEDIT = @NMEDIT@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PKG_CONFIG = @PKG_CONFIG@
PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
POSUB = @POSUB@
QALCULATE_CFLAGS = @QALCULATE_CFLAGS@
QALCULATE_GTK = @QALCULATE_GTK@
QALCULATE_LIBS = @QALCULATE_LIBS@
RANLIB = @RANLIB@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
USE_NLS = @USE_NLS@
VERSION = @VERSION@
WEBKITGTK_CFLAGS = @WEBKITGTK_CFLAGS@
WEBKITGTK_LIBS = @WEBKITGTK_LIBS@
XGETTEXT = @XGETTEXT@
XGETTEXT_015 = @XGETTEXT_015@
XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__rm_f_notfound = @am__rm_f_notfound@
am__tar = @am__tar@
am__untar = @am__untar@
am__xargs_n = @am__xargs_n@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localedir_c = @localedir_c@
localedir_c_make = @localedir_c_make@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
runstatedir = @runstatedir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
AM_CPPFLAGS = -DPACKAGE_DATA_DIR=\""$(datadir)"\" \
	-DPACKAGE_DOC_DIR=\""$(docdir)"\" @GTK_CFLAGS@ @GLIB_CFLAGS@ \
	@WEBKITGTK_CFLAGS@ @GIOUNIX_CFLAGS@ @QALCULATE_CFLAGS@ \
	$(am__append_1)
@ENABLE_SEARCH_PROVIDER_TRUE@searchproviderdir = @libexecdir@
bin_PROGRAMS = @QALCULATE_GTK@
@PLATFORM_WIN32_TRUE@qalculate_gtk_LDFLAGS = -mwindows
qalculate_gtk_SOURCES = \
	exchangerates.cc exchangerates.h \
	matrixdialog.cc matrixdialog.h \
	nameseditdialog.cc nameseditdialog.h \
	dataseteditdialog.cc dataseteditdialog.h \
	functioneditdialog.cc functioneditdialog.h \
	uniteditdialog.cc uniteditdialog.h \
	matrixeditdialog.cc matrixeditdialog.h \
	unknowneditdialog.cc unknowneditdialog.h \
	variableeditdialog.cc variableeditdialog.h \
	exportcsvdialog.cc exportcsvdialog.h \
	importcsvdialog.cc importcsvdialog.h \
	setbasedialog.cc setbasedialog.h \
	buttonseditdialog.cc buttonseditdialog.h \
	shortcutsdialog.cc shortcutsdialog.h \
	decimalsdialog.cc decimalsdialog.h \
	precisiondialog.cc precisiondialog.h \
	datasetsdialog.cc datasetsdialog.h \
	functionsdialog.cc functionsdialog.h \
	unitsdialog.cc unitsdialog.h \
	variablesdialog.cc variablesdialog.h \
	plotdialog.cc plotdialog.h \
	periodictabledialog.cc periodictabledialog.h \
	numberbasesdialog.cc numberbasesdialog.h \
	percentagecalculationdialog.cc percentagecalculationdialog.h \
	calendarconversiondialog.cc calendarconversiondialog.h \
	floatingpointdialog.cc floatingpointdialog.h \
	insertfunctiondialog.cc insertfunctiondialog.h \
	preferencesdialog.cc preferencesdialog.h \
	conversionview.cc conversionview.h \
	historyview.cc historyview.h \
	stackview.cc stackview.h \
	keypad.cc keypad.h \
	expressionedit.cc expressionedit.h \
	expressionstatus.cc expressionstatus.h \
	expressioncompletion.cc expressioncompletion.h \
	drawstructure.cc drawstructure.h \
	resultview.cc resultview.h \
	openhelp.cc openhelp.h \
	menubar.cc menubar.h \
	main.cc \
	mainwindow.cc mainwindow.h \
	modes.cc modes.h \
	util.cc util.h \
	unordered_map_define.h support.h settings.h

nodist_qalculate_gtk_SOURCES = ui.c flags.c
qalculate_gtk_LDADD = @GLIB_LIBS@ @GTK_LIBS@ @WEBKITGTK_LIBS@ \
	@QALCULATE_LIBS@ $(am__append_2)
@ENABLE_SEARCH_PROVIDER_TRUE@qalculate_search_provider_SOURCES = \
@ENABLE_SEARCH_PROVIDER_TRUE@	searchprovider.cc \
@ENABLE_SEARCH_PROVIDER_TRUE@	support.h

@ENABLE_SEARCH_PROVIDER_TRUE@nodist_qalculate_search_provider_SOURCES = gnome-search-provider2.h gnome-search-provider2.c
@ENABLE_SEARCH_PROVIDER_TRUE@qalculate_search_provider_LDADD = \
@ENABLE_SEARCH_PROVIDER_TRUE@	@GLIB_LIBS@ \
@ENABLE_SEARCH_PROVIDER_TRUE@	@GTK_LIBS@ \
@ENABLE_SEARCH_PROVIDER_TRUE@	@GIOUNIX_LIBS@ \
@ENABLE_SEARCH_PROVIDER_TRUE@	@QALCULATE_LIBS@

@ENABLE_SEARCH_PROVIDER_TRUE@dbusservicedir = $(datadir)/dbus-1/services
@ENABLE_SEARCH_PROVIDER_TRUE@dbusservice_DATA = io.github.Qalculate.SearchProvider.service
DISTCLEANFILES = $(nodist_qalculate_gtk_SOURCES) $(nodist_qalculate_search_provider_SOURCES) $(dbusservice_DATA)
all: all-am

.SUFFIXES:
.SUFFIXES: .c .cc .lo .o .obj
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu src/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
	fi; \
	for p in $$list; do echo "$$p $$p"; done | \
	sed 's/$(EXEEXT)$$//' | \
	while read p p1; do if test -f $$p \
	 || test -f $$p1 \
	  ; then echo "$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n;h' \
	    -e 's|.*|.|' \
	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
	sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
	    else { print "f", $$3 "/" $$4, $$1; } } \
	  END { for (d in files) print "f", d, files[d] }' | \
	while read type dir files; do \
	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
	    test -z "$$files" || { \
	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
	    } \
	; done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	files=`for p in $$list; do echo "$$p"; done | \
	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
	      -e 's/$$/$(EXEEXT)/' \
	`; \
	test -n "$$list" || exit 0; \
	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(bindir)" && $(am__rm_f) $$files

clean-binPROGRAMS:
	$(am__rm_f) $(bin_PROGRAMS)
	test -z "$(EXEEXT)" || $(am__rm_f) $(bin_PROGRAMS:$(EXEEXT)=)
install-searchproviderPROGRAMS: $(searchprovider_PROGRAMS)
	@$(NORMAL_INSTALL)
	@list='$(searchprovider_PROGRAMS)'; test -n "$(searchproviderdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(searchproviderdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(searchproviderdir)" || exit 1; \
	fi; \
	for p in $$list; do echo "$$p $$p"; done | \
	sed 's/$(EXEEXT)$$//' | \
	while read p p1; do if test -f $$p \
	 || test -f $$p1 \
	  ; then echo "$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n;h' \
	    -e 's|.*|.|' \
	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
	sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
	    else { print "f", $$3 "/" $$4, $$1; } } \
	  END { for (d in files) print "f", d, files[d] }' | \
	while read type dir files; do \
	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
	    test -z "$$files" || { \
	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(searchproviderdir)$$dir'"; \
	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(searchproviderdir)$$dir" || exit $$?; \
	    } \
	; done

uninstall-searchproviderPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(searchprovider_PROGRAMS)'; test -n "$(searchproviderdir)" || list=; \
	files=`for p in $$list; do echo "$$p"; done | \
	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
	      -e 's/$$/$(EXEEXT)/' \
	`; \
	test -n "$$list" || exit 0; \
	echo " ( cd '$(DESTDIR)$(searchproviderdir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(searchproviderdir)" && $(am__rm_f) $$files

clean-searchproviderPROGRAMS:
	$(am__rm_f) $(searchprovider_PROGRAMS)
	test -z "$(EXEEXT)" || $(am__rm_f) $(searchprovider_PROGRAMS:$(EXEEXT)=)

qalculate-gtk$(EXEEXT): $(qalculate_gtk_OBJECTS) $(qalculate_gtk_DEPENDENCIES) $(EXTRA_qalculate_gtk_DEPENDENCIES) 
	@rm -f qalculate-gtk$(EXEEXT)
	$(AM_V_CXXLD)$(qalculate_gtk_LINK) $(qalculate_gtk_OBJECTS) $(qalculate_gtk_LDADD) $(LIBS)

qalculate-search-provider$(EXEEXT): $(qalculate_search_provider_OBJECTS) $(qalculate_search_provider_DEPENDENCIES) $(EXTRA_qalculate_search_provider_DEPENDENCIES) 
	@rm -f qalculate-search-provider$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(qalculate_search_provider_OBJECTS) $(qalculate_search_provider_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/buttonseditdialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/calendarconversiondialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/conversionview.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dataseteditdialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/datasetsdialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/decimalsdialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/drawstructure.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/exchangerates.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/exportcsvdialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/expressioncompletion.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/expressionedit.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/expressionstatus.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/flags.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/floatingpointdialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/functioneditdialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/functionsdialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gnome-search-provider2.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/historyview.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importcsvdialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/insertfunctiondialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/keypad.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mainwindow.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/matrixdialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/matrixeditdialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/menubar.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/modes.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nameseditdialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/numberbasesdialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/openhelp.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/percentagecalculationdialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/periodictabledialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/plotdialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/precisiondialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/preferencesdialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/resultview.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/searchprovider.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/setbasedialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/shortcutsdialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stackview.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ui.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/uniteditdialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unitsdialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unknowneditdialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/util.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/variableeditdialog.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/variablesdialog.Po@am__quote@ # am--include-marker

$(am__depfiles_remade):
	@$(MKDIR_P) $(@D)
	@: >>$@

am--depfiles: $(am__depfiles_remade)

.c.o:
@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<

.c.obj:
@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.c.lo:
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<

.cc.o:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<

.cc.obj:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cc.lo:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-dbusserviceDATA: $(dbusservice_DATA)
	@$(NORMAL_INSTALL)
	@list='$(dbusservice_DATA)'; test -n "$(dbusservicedir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(dbusservicedir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(dbusservicedir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(dbusservicedir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(dbusservicedir)" || exit $$?; \
	done

uninstall-dbusserviceDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(dbusservice_DATA)'; test -n "$(dbusservicedir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(dbusservicedir)'; $(am__uninstall_files_from_dir)

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-am

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(PROGRAMS) $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(searchproviderdir)" "$(DESTDIR)$(dbusservicedir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-$(am__rm_f) $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || $(am__rm_f) $(CONFIG_CLEAN_VPATH_FILES)
	-$(am__rm_f) $(DISTCLEANFILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-binPROGRAMS clean-generic clean-libtool \
	clean-searchproviderPROGRAMS mostlyclean-am

distclean: distclean-am
	-rm -f ./$(DEPDIR)/buttonseditdialog.Po
	-rm -f ./$(DEPDIR)/calendarconversiondialog.Po
	-rm -f ./$(DEPDIR)/conversionview.Po
	-rm -f ./$(DEPDIR)/dataseteditdialog.Po
	-rm -f ./$(DEPDIR)/datasetsdialog.Po
	-rm -f ./$(DEPDIR)/decimalsdialog.Po
	-rm -f ./$(DEPDIR)/drawstructure.Po
	-rm -f ./$(DEPDIR)/exchangerates.Po
	-rm -f ./$(DEPDIR)/exportcsvdialog.Po
	-rm -f ./$(DEPDIR)/expressioncompletion.Po
	-rm -f ./$(DEPDIR)/expressionedit.Po
	-rm -f ./$(DEPDIR)/expressionstatus.Po
	-rm -f ./$(DEPDIR)/flags.Po
	-rm -f ./$(DEPDIR)/floatingpointdialog.Po
	-rm -f ./$(DEPDIR)/functioneditdialog.Po
	-rm -f ./$(DEPDIR)/functionsdialog.Po
	-rm -f ./$(DEPDIR)/gnome-search-provider2.Po
	-rm -f ./$(DEPDIR)/historyview.Po
	-rm -f ./$(DEPDIR)/importcsvdialog.Po
	-rm -f ./$(DEPDIR)/insertfunctiondialog.Po
	-rm -f ./$(DEPDIR)/keypad.Po
	-rm -f ./$(DEPDIR)/main.Po
	-rm -f ./$(DEPDIR)/mainwindow.Po
	-rm -f ./$(DEPDIR)/matrixdialog.Po
	-rm -f ./$(DEPDIR)/matrixeditdialog.Po
	-rm -f ./$(DEPDIR)/menubar.Po
	-rm -f ./$(DEPDIR)/modes.Po
	-rm -f ./$(DEPDIR)/nameseditdialog.Po
	-rm -f ./$(DEPDIR)/numberbasesdialog.Po
	-rm -f ./$(DEPDIR)/openhelp.Po
	-rm -f ./$(DEPDIR)/percentagecalculationdialog.Po
	-rm -f ./$(DEPDIR)/periodictabledialog.Po
	-rm -f ./$(DEPDIR)/plotdialog.Po
	-rm -f ./$(DEPDIR)/precisiondialog.Po
	-rm -f ./$(DEPDIR)/preferencesdialog.Po
	-rm -f ./$(DEPDIR)/resultview.Po
	-rm -f ./$(DEPDIR)/searchprovider.Po
	-rm -f ./$(DEPDIR)/setbasedialog.Po
	-rm -f ./$(DEPDIR)/shortcutsdialog.Po
	-rm -f ./$(DEPDIR)/stackview.Po
	-rm -f ./$(DEPDIR)/ui.Po
	-rm -f ./$(DEPDIR)/uniteditdialog.Po
	-rm -f ./$(DEPDIR)/unitsdialog.Po
	-rm -f ./$(DEPDIR)/unknowneditdialog.Po
	-rm -f ./$(DEPDIR)/util.Po
	-rm -f ./$(DEPDIR)/variableeditdialog.Po
	-rm -f ./$(DEPDIR)/variablesdialog.Po
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-dbusserviceDATA \
	install-searchproviderPROGRAMS

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am: install-binPROGRAMS

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f ./$(DEPDIR)/buttonseditdialog.Po
	-rm -f ./$(DEPDIR)/calendarconversiondialog.Po
	-rm -f ./$(DEPDIR)/conversionview.Po
	-rm -f ./$(DEPDIR)/dataseteditdialog.Po
	-rm -f ./$(DEPDIR)/datasetsdialog.Po
	-rm -f ./$(DEPDIR)/decimalsdialog.Po
	-rm -f ./$(DEPDIR)/drawstructure.Po
	-rm -f ./$(DEPDIR)/exchangerates.Po
	-rm -f ./$(DEPDIR)/exportcsvdialog.Po
	-rm -f ./$(DEPDIR)/expressioncompletion.Po
	-rm -f ./$(DEPDIR)/expressionedit.Po
	-rm -f ./$(DEPDIR)/expressionstatus.Po
	-rm -f ./$(DEPDIR)/flags.Po
	-rm -f ./$(DEPDIR)/floatingpointdialog.Po
	-rm -f ./$(DEPDIR)/functioneditdialog.Po
	-rm -f ./$(DEPDIR)/functionsdialog.Po
	-rm -f ./$(DEPDIR)/gnome-search-provider2.Po
	-rm -f ./$(DEPDIR)/historyview.Po
	-rm -f ./$(DEPDIR)/importcsvdialog.Po
	-rm -f ./$(DEPDIR)/insertfunctiondialog.Po
	-rm -f ./$(DEPDIR)/keypad.Po
	-rm -f ./$(DEPDIR)/main.Po
	-rm -f ./$(DEPDIR)/mainwindow.Po
	-rm -f ./$(DEPDIR)/matrixdialog.Po
	-rm -f ./$(DEPDIR)/matrixeditdialog.Po
	-rm -f ./$(DEPDIR)/menubar.Po
	-rm -f ./$(DEPDIR)/modes.Po
	-rm -f ./$(DEPDIR)/nameseditdialog.Po
	-rm -f ./$(DEPDIR)/numberbasesdialog.Po
	-rm -f ./$(DEPDIR)/openhelp.Po
	-rm -f ./$(DEPDIR)/percentagecalculationdialog.Po
	-rm -f ./$(DEPDIR)/periodictabledialog.Po
	-rm -f ./$(DEPDIR)/plotdialog.Po
	-rm -f ./$(DEPDIR)/precisiondialog.Po
	-rm -f ./$(DEPDIR)/preferencesdialog.Po
	-rm -f ./$(DEPDIR)/resultview.Po
	-rm -f ./$(DEPDIR)/searchprovider.Po
	-rm -f ./$(DEPDIR)/setbasedialog.Po
	-rm -f ./$(DEPDIR)/shortcutsdialog.Po
	-rm -f ./$(DEPDIR)/stackview.Po
	-rm -f ./$(DEPDIR)/ui.Po
	-rm -f ./$(DEPDIR)/uniteditdialog.Po
	-rm -f ./$(DEPDIR)/unitsdialog.Po
	-rm -f ./$(DEPDIR)/unknowneditdialog.Po
	-rm -f ./$(DEPDIR)/util.Po
	-rm -f ./$(DEPDIR)/variableeditdialog.Po
	-rm -f ./$(DEPDIR)/variablesdialog.Po
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-binPROGRAMS uninstall-dbusserviceDATA \
	uninstall-searchproviderPROGRAMS

.MAKE: install-am install-strip

.PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-am clean \
	clean-binPROGRAMS clean-generic clean-libtool \
	clean-searchproviderPROGRAMS cscopelist-am ctags ctags-am \
	distclean distclean-compile distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-binPROGRAMS \
	install-data install-data-am install-dbusserviceDATA \
	install-dvi install-dvi-am install-exec install-exec-am \
	install-html install-html-am install-info install-info-am \
	install-man install-pdf install-pdf-am install-ps \
	install-ps-am install-searchproviderPROGRAMS install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags tags-am uninstall uninstall-am uninstall-binPROGRAMS \
	uninstall-dbusserviceDATA uninstall-searchproviderPROGRAMS

.PRECIOUS: Makefile


ui.c : $(top_srcdir)/data/ui.gresource.xml $(top_srcdir)/data/*.ui
	glib-compile-resources --generate-source --target=$@ --sourcedir=$(top_srcdir)/data $(top_srcdir)/data/ui.gresource.xml

flags.c : $(top_srcdir)/data/flags.gresource.xml $(top_srcdir)/data/flags/*.png
	glib-compile-resources --generate-source --target=$@ --sourcedir=$(top_srcdir)/data/flags $(top_srcdir)/data/flags.gresource.xml

@ENABLE_SEARCH_PROVIDER_TRUE@gnome-search-provider2.c: $(top_srcdir)/data/org.gnome.ShellSearchProvider2.xml
@ENABLE_SEARCH_PROVIDER_TRUE@	$(AM_V_GEN)gdbus-codegen \
@ENABLE_SEARCH_PROVIDER_TRUE@		--c-namespace Shell \
@ENABLE_SEARCH_PROVIDER_TRUE@		--generate-c-code gnome-search-provider2 \
@ENABLE_SEARCH_PROVIDER_TRUE@		--interface-prefix org.gnome.Shell. \
@ENABLE_SEARCH_PROVIDER_TRUE@		$<

@ENABLE_SEARCH_PROVIDER_TRUE@searchprovider.o: gnome-search-provider2.c

@ENABLE_SEARCH_PROVIDER_TRUE@io.github.Qalculate.SearchProvider.service: Makefile
@ENABLE_SEARCH_PROVIDER_TRUE@	$(AM_V_GEN) (echo '[D-BUS Service]'; \
@ENABLE_SEARCH_PROVIDER_TRUE@		echo 'Name=io.github.Qalculate.SearchProvider'; \
@ENABLE_SEARCH_PROVIDER_TRUE@		echo 'Exec=@libexecdir@/qalculate-search-provider') > $@.tmp && \
@ENABLE_SEARCH_PROVIDER_TRUE@		mv $@.tmp $@

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

# Tell GNU make to disable its built-in pattern rules.
%:: %,v
%:: RCS/%,v
%:: RCS/%
%:: s.%
%:: SCCS/s.%
